#!/bin/bash
#
# Provisionning script to use with Vagrant to setup VM running Fedora system
#
# @author: metrot@math.univ-poitiers.fr
# @date: 19 september 2014



#
# STEP 1 : Store environment variable and command line available 
#          during provisionning in /root/prov.log
###
echo "Provisionning started on `date -R`" > /root/prov.log
echo "Command line : $0" $* >> /root/prov.log
echo "Envionment variables :" >> /root/prov.log
env >> /root/prov.log


#
# STEP 2 : Fix hostname 
###
MY_IP="`ifconfig -a | grep 'inet 172.16' | sed -ne 's/.*inet \([0-9.]\+\).*/\1/ p'`"
echo "my IP address is $MY_IP"
MY_FQDN="`dig @172.16.20.5 -x $MY_IP +short`"
echo "my Fully Qualified Domain Name is $MY_FQDN"
MY_HOSTNAME="`echo $MY_FQDN | cut -d '.' -f 1`"
echo "my hostname is $MY_HOSTNAME"
if [ -n "$MY_HOSTNAME" ]
then
    echo $MY_HOSTNAME > /etc/hostname
    hostname $MY_HOSTNAME
else
    echo "Unable to find hostname for these VM using DNS lookup"
    MY_HOSTNAME=fedora
fi


#
# STEP 3 : Fill /etc/hosts table
###
echo "Fill new /etc/hosts table"
cat <<EOF > /etc/hosts
127.0.0.1       localhost.localdomain           localhost
10.0.2.2        vagrant.virtualbox              vagrant

$MY_IP     $MY_HOSTNAME.vbox.tp     $MY_HOSTNAME

# The following lines are desirable for IPv6 capable hosts
::1     localhost ip6-localhost ip6-loopback
ff02::1 ip6-allnodes
ff02::2 ip6-allroute
EOF
