









#!/bin/bash
#
# Vagrant provisionning script to use with VM kdc
# 
# @author: metrot@math.univ-poitiers.fr
# @version: 0.9


# NO Debconf questions during packages installation
export DEBIAN_FRONTEND='noninteractive'


#
# STEP 1 : Store environment variable and command line available 
#          during provisionning in /root/prov.log
###
echo "Provisionning started on $(date -R)" > /root/prov.log
echo "Command line : $0" $* >> /root/prov.log
echo "Envionment variables :" >> /root/prov.log
env >> /root/prov.log


#
# STEP 2 : Fix hostname 
###
echo "my IP address is 172.16.20.11"
echo "my Fully Qualified Domain Name is kdc.vbox.tp"
echo "my hostname is kdc"
echo kdc > /etc/hostname
hostname kdc


#
# STEP 3 : Install /etc/hosts table
###

cat <<EOF > /etc/hosts
127.0.0.1       localhost.localdomain           localhost
10.0.2.2        vagrant.virtualbox              vagrant

#172.16.20.11     kdc.vbox.tp                    kdc

172.16.20.5     gate.vbox.tp            gate
172.16.20.11	kdc.vbox.tp		kdc
172.16.20.12	web.vbox.tp		web
172.16.20.13	filer.vbox.tp		filer
172.16.20.14	ad.vbox.tp		ad
172.16.20.15	kdc2.vbox.tp		kdc2
172.16.20.21	clinux.vbox.tp		clinux
172.16.20.22	cwin.vbox.tp		cwin
172.16.20.23	cfedora.vbox.tp		cfedora

172.16.1.10	www.loire.tp wiki.loire.tp

# The following lines are desirable for IPv6 capable hosts
::1     localhost ip6-localhost ip6-loopback
ff02::1 ip6-allnodes
ff02::2 ip6-allroute
EOF



#
# STEP 4 : Fill packages sources
###

cat <<EOF > /etc/apt/sources.list
deb http://ftp.fr.debian.org/debian/ wheezy main

deb http://security.debian.org/ wheezy/updates main
#deb-src http://security.debian.org/ wheezy/updates main

# wheezy-updates, previously known as volatile
deb http://ftp.fr.debian.org/debian/ wheezy-updates main

EOF

apt-get update -q
